Support » Plugin: Custom 404 Pro » call_user_func_array() expects parameter 1 to be a valid callback

  • Resolved karhas

    (@karhas)


    Hello, when I update the plugin, I get a message of “Warning: call_user_func_array() expects parameter 1 to be a valid callback, class ‘AdminClass’ does not have a method ‘custom_404_pro_upgrader’ in public_html/wp-includes/class-wp-hook.php on line 286” Can you help me correct this, please?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Kunal

    (@kunalnagar)

    @karhas thanks for using the plugin! I’m assuming you’re upgrading from a previous version. Could you remove the plugin altogether and install a fresh version? Remember to remove it from the Plugins menu as that will also cleanup any database tables. Let me know if that works!

    Hi, I did try the steps above a few times, even cleaned up db w WP-Optimize but am still getting: Warning: call_user_func_array() expects parameter 1 to be a valid callback, class ‘AdminClass’ does not have a method ‘custom_404_pro_upgrader’ in /home/sitename/public_html/wp-includes/class-wp-hook.php on line 286

    Thanks!

    Plugin Author Kunal

    (@kunalnagar)

    @karhas I’ve released version 3.2.13, can you install that and see if it fixes the issue?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘call_user_func_array() expects parameter 1 to be a valid callback’ is closed to new replies.